Subject: Re: cat /proc/net/tcp takes 0.5 seconds on x86_64

From: Andi Kleen <[email-masked]>
Date: Thu, 28 Aug 2008 00:54:08 +0200

>> 
>> Umm, 0.4 to 0.8 seconds is on average _slower_ than 0.44 seconds.  Did you
>> mean .04 to .08?
>
> Yes noticed that too -- i think it must have been .04-.08 and the zeros
> got lost somewhere. I remember that it was significantly faster. It's really 
> a benchmark how fast an read lock aquire/release is, but even on 
> the best systems it's quite slow compared to lockless code.

FWIW I redid the benchmarks now and it's 0.046s (without) to 0.005s (with 
patch) on a different 2GB Core2 system with nearly empty hash table.

-Andi

-- 
[email-masked]